Bug 1349945 - Fedora 23 - dialog wrongly requires double backslashes (\\n, \\Z) for control codes in option file
Summary: Fedora 23 - dialog wrongly requires double backslashes (\\n, \\Z) for control...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dialog
Version: 23
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2016-06-24 15:30 UTC by IBM Bug Proxy
Modified: 2016-07-12 23:52 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-02 15:25:49 UTC


Attachments (Terms of Use)
Screen shots for the dialog problem and what is expected (227.38 KB, image/png)
2016-06-24 15:30 UTC, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 142786 None None None 2016-06-24 15:30 UTC

Description IBM Bug Proxy 2016-06-24 15:30:31 UTC

Comment 1 IBM Bug Proxy 2016-06-24 15:30:34 UTC
== Comment: #0 - Liang Chang Guo <lcguo@us.ibm.com> - 2016-06-17 12:00:51 ==
Observed with recent Fedora 23, the window-like tool "dialog" in Linux now turns to look for double backslashes (like \\n, \\Z...) as control codes in command option file, which causes incorrect display in format for programs (like PMLinux) that get used to only feeding with single backslash (\n, \Z...). This bug affects menu, form, and form etc. dialog boxes.

There is no such problem for older dialog in Fedora 21, Redhat 7.2, SuSE 12, pKVM 3.1, even ubuntu 15.05 ...

This bug starts to ruin the configuration UI of our PMLinux application, and needs to be fixed as soon as possible.

*** Info of dialog that fail, and command/file to reproduce ***
# dialog --version
Version: 1.2-20150528

# dialog --file PMLinux.menus
(see display effect in attachment)

# cat PMLinux.menus
  --begin  2  2 --default-item "2) Disable" --ok-label " Select " --item-help
  --help-button --no-cancel --colors --timeout 585
  --title " Setup Performance Management " --backtitle "IBM PMLinux Main Menus"
  --menu " \Z4I\Znnternational \Z4B\Znusiness \Z4M\Znachines (\Zu\Z4IBM\Zn), Copyright 2012-2015 \Z1(C)\Zn\n\n \Z0Move by \Zb\Z4<Up/Down/Left/Right/Tab/[0-9]>\Zn or \Zb\Z4Mouse\Zn to desired function/button\n Presss \Z1<Enter>\Zn to select, or \Z1<Esc>\Zn to exit.\n\n \Zu\Z5ubt1510F\ZU\Zn STATUS: Collection \Z2ON\Zn, Transmission \Z2ON\Zn, CustomerInfo \Z1NO\Zn\n \Z4Linux OS Version\Z0: Ubuntu Wily Werewolf (development branch)" 25 81 11
  "1)*Enable"      "\Z2Data Transmission"          "To correct & reset parameters to enable PMLinux Data Collection & Transmission"
  "2) Disable"     "Data Transmission"             "To disable PMLinux Data Collection & Transmission. Proceed with Caution !!!"
  "3) Retransmit"  "Recorded Data"                 "To package historical data files of one or all day(s) into PMstats.send for manual transmission"
  "4)*Change/Show" "\Z1Customer Information"       "To fill out contact info, so that IBM PMLinux team can create a login user for your web reports"
  "5) Change/Show" "Data Retention Period"         "To setup the period length (days) for PMLinux to keep the data files"
  "6) Change/Show" "Trending Days and Shift Times" "To setup your weekly working days & shift times for PMLinux reports"
  "7) Change/Show" "System Parameters (Advanced)"  "To setup some system configurations"
  "8) Change/Show" "KVM Guest Collection Settings" "To setup KVM Guest info and querying utilization data intervals"
  "9) ReadMe"      "Guide/References/License"      "To browse PMLinux manual/license text documents"
  "0) Exit"        "Quit"                          "To end this window-style PMLinux configuration tool"

*** Info of dialog that pass ***
# dialog --version
Version: 1.2-2013052

NOTE: new dialog still works fine with single backslash (\n, \Z...) in a command line (ugly long for ps, unfavorable), as below:

# sed -e '1i dialog \\' -e 's/$/ \\/' PMLinux.menus > PMLinuxMenus.cmd
# sh PMLinuxMenus.cmd

== Comment: #1 - Liang Chang Guo <lcguo@us.ibm.com> - 2016-06-17 12:51:21 ==


== Comment: #2 - Liang Chang Guo <lcguo@us.ibm.com> - 2016-06-20 10:24:14 ==
Checking the latest note in the changelog , this bug might have been fixed recently:
http://invisible-island.net/dialog/CHANGES.html#t20121230
2016/04/24
        + fix a special case in drawing shadow on a line-drawing cell where the
          alternate-character set flag was lost (report by Martin Kravec).
        + fix a regression from 2015/05/13 changes for escaping; it is
          necessary to retain backslashes within quotes to make "\Z" escapes
          work (report by Marcin Krol).

WAIT & SEE a future release of dialog (1.4 by guessing).

== Comment: #4 - Brahadambal Srinivasan <brsriniv@in.ibm.com> - 2016-06-24 10:41:12 ==
Regression: starting from the release 23 big/little endian, dialog has this problem on Fedora:
dialog-1.2-16.20150528.fc23.ppc64
dialog-1.2-16.20150528.fc23.ppc64le

Comment 2 IBM Bug Proxy 2016-06-24 15:30:43 UTC
Created attachment 1171985 [details]
Screen shots for the dialog problem and what is expected

Comment 3 Miroslav Lichvar 2016-06-27 09:37:20 UTC
It was indeed fixed in the 1.2-20160424 release. I'll prepare updates for F23 and F24.

Comment 4 Fedora Update System 2016-06-27 09:55:29 UTC
dialog-1.3-4.20160424.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-611b673021

Comment 5 Fedora Update System 2016-06-27 09:55:35 UTC
dialog-1.3-4.20160424.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f27f9dc533

Comment 6 Fedora Update System 2016-06-28 00:26:49 UTC
dialog-1.3-4.20160424.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-611b673021

Comment 7 Fedora Update System 2016-06-28 04:24:57 UTC
dialog-1.3-4.20160424.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f27f9dc533

Comment 8 Fedora Update System 2016-07-02 15:25:47 UTC
dialog-1.3-4.20160424.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-12 23:51:59 UTC
dialog-1.3-4.20160424.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.